import static org.junit.Assert.*;

import org.junit.Test;

import GeschenkTest.MockGeschenkTest;



	public class MockHausTest  {
	
	private MockGeschenkTest[] baum; // Geschenke unter dem Baum
	private MockGeschenkTest[] schrank; // Geschenke im Schrank
	private MockGeschenkTest[] tisch;
	 // Geschenke auf dem Tisch
	
	public MockHausTest (MockGeschenkTest[] x, MockGeschenkTest [] y){
		super();
	this.baum= x;
	this.schrank=y;
	}
	
	public MockGeschenkTest[]  ausraeumen() { 
		MockGeschenkTest[] klau = new MockGeschenkTest[baum.length + schrank.length + tisch.length];
		for (int i = 0; i < baum.length; i++) {
			klau[i] = baum[i];
		}
		for (int y = 0; y < schrank.length; y++){
			klau[y + baum.length] = schrank[y];
		}
		for (int z = 0; z < tisch.length; z++){
			klau[z + schrank.length + baum.length] = tisch[z];
		}
		baum = null;
		schrank = null;
		tisch = null;
		return klau;
	}
	@Test
	public void testAusraeumen() {
	MockGeschenkTest w = new MockGeschenkTest(1);
	MockGeschenkTest p = new MockGeschenkTest(2);
	
	MockGeschenkTest []z = {w,p};
	MockHausTest h = new MockHausTest(z,z);
		MockGeschenkTest[] y=  h.ausraeumen();
	 
		MockGeschenkTest [] za = {w,p,w,p};
		
		assertArrayEquals(y, za);
	}

}

